Bug 1085075 - Wine uses libpng, but the RPM package does not depend on it
Summary: Wine uses libpng, but the RPM package does not depend on it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-07 18:17 UTC by Göran Uddeborg
Modified: 2014-04-23 04:31 UTC (History)
3 users (show)

Fixed In Version: wine-1.7.16-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:41:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2014-04-07 18:17:37 UTC
Description of problem:
Wine uses the libpng16.so file, but there is nothing in the RPM package that ensures it is installed.  Obviously it is not an ELF dependency; I'm guessing it is something windowscodecs.dll.so explicitly dlopen() or something like that.

Anyway, libpng is needed for wine to work properly.  So adding an RPM "requires" on libpng%{?_isa} dependency in wine-core does seem to make sense, doesn't it?

Comment 1 Andreas Bierfert 2014-04-07 19:20:32 UTC
Perfect assessment:

dlls/windowscodecs/pngformat.c:202:    if((libpng_handle = wine_dlopen(SONAME_LIBPNG, RTLD_NOW, NULL, 0)) != NULL) {

Fix pushed as 1.7.16-2 for rawhide. Will fix the other branches tomorrow.

Comment 2 Fedora Update System 2014-04-09 14:51:03 UTC
wine-1.7.16-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wine-1.7.16-2.fc20

Comment 3 Fedora Update System 2014-04-09 14:52:52 UTC
wine-1.7.16-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wine-1.7.16-2.fc19

Comment 4 Fedora Update System 2014-04-14 22:33:06 UTC
Package wine-1.7.16-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-1.7.16-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4977/wine-1.7.16-2.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-04-15 15:41:06 UTC
wine-1.7.16-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-23 04:31:50 UTC
wine-1.7.16-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.